{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.id }}</div>
{% endblock %}

{% block formulaire %}
    <div class="bg-white shadow">
        
        <div class="LesChamps card">
            
            <div class="d-flex justify-content-around flex-wrap">
                {% if poForm.username is defined %}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.username, "Login ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.username, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}})}}
                        </div>
                    </div>    
                {% endif %}
                

                {% if poForm.email is defined %}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.email, "Email ", {'label_attr': {'class': ' m-0 mr-3 control-label'}})}}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.email,{'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}})}}                                                  
                        </div>
                    </div>
                {% endif %}
            </div>
        
        </div>
            
        <div class="LesChamps card">

            <div class="d-flex justify-content-around flex-wrap">
                {% if poForm.ctype_res is defined %}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.ctype_res, "Type de ressource ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.ctype_res, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                        </div>
                    </div>
                {% endif %}

                {% if poForm.iid_res is defined %}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {# Génération du label. #}
                        {{ form_label(poForm.iid_res, "Intervenant ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.iid_res, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                        </div>
                    </div>
                {% endif %}
            </div>
            
            <div class="d-flex justify-content-around flex-wrap">
            
            {% if poForm.roles is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {{ form_label(poForm.roles, "Rôles ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}
                    
                    <div class="col-sm-8 d-flex justify-content-center align-items-center" >
                        {{ form_widget(poForm.roles, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control w-100', 'data-role': 'multiselect'}}) }}
                    </div>
                </div>
            {% endif %}
            
            {% if poForm.enabled is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.enabled, "Utilisateur actif ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}               

                    <div class="col-sm-8 d-flex align-items-center">
                        {{ form_widget(poForm.enabled, {'attr': {'class': 'shadow-form-control border-0'}}) }}
                    </div>
                </div>
            {% endif %}              

            
            </div>
        
        </div>
            
        <div class="LesChamps">
            {#    {% if poForm.password is defined %}
                    <div class="form-group">
                        { # Génération du label. # }
                        {{ form_label(poForm.password, "Mot de passe ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}

                        <div class="col-sm-10 col-md-10 col-lg-10">
                                            { #new-password : https://stackoverflow.com/questions/15738259/disabling-chrome-autofill# }
                            {{ form_widget(poForm.password, {'attr': {'class': 'form-control', 'autocomplete': 'new-password'}}) }}
                        </div>
                    </div>
                {% endif %}
            #}
        
        <div class="d-flex justify-content-around flex-wrap">
            
            {%if poForm.password is defined%}
                {%if poForm.username.vars['value'] != 'dftAdmin'%}              
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                        {{ form_label(poForm.password, "Mot de passe ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.password, {'attr': {'class': 'w-100 shadow-form-control border-0', 'autocomplete': 'new-password'}}) }}
                        </div>
                    </div>                    
                {%else%}
                    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" style="display:none;">
                        {{ form_label(poForm.password, "Mot de passe ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                        <div class="col-sm-8 d-flex justify-content-center align-items-center">
                            {{ form_widget(poForm.password, {'attr': {'class': 'w-100 shadow-form-control border-0', 'autocomplete': 'new-password'}}) }}
                        </div>
                    </div>
                {%endif%}
            {%endif%}
            
            {% if poForm.lpeutchangerprofil %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.lpeutchangerprofil, "Changer Profil", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                    <div class="col-sm-8 d-flex align-items-center">                   
                        {{ form_widget(poForm.lpeutchangerprofil, {'attr': {'class': 'shadow-form-control border-0'}}) }}
                    </div>
                </div>
            {% endif %}

            
        </div>
    </div>
    {#Pour la multisélection des rôles#}
    {#Bootstrap multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started#}
    {#Je n'ai pas trouvé d'autre maniere que de remettre ici cet include pour que ca marche dans pageAvecGrille#}
    <script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">
{% endblock %}
